Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I'm trying to rake but I keep getting this

enter image description here

As you can see, i18n (0.6.4) is installed and alive, so what's going on? what am I missing?

I have tried to uninstall and install again, all went well but got the same error after :/

sudo gem uninstall i18n
sudo bundle install

even tried install it using sudo gem install i18n, it installed, but got the same error...

btw, the application is Redmine, the one I'm trying to rake myself into...

using Ubuntu Server 12.10 x64 on Amazon EC2 (micro instance)

share|improve this question
    
Perhaps trying bundle update? I don't add this as an answer because I'm not sure, but you could try it :P –  Addison Montgomery Mar 16 '13 at 21:03
    
@AddisonMontgomery I did that, but get the same problem: i.stack.imgur.com/utV5Y.png –  balexandre Mar 16 '13 at 21:11
    
Could you paste the output of cat Gemfile and bundle show i18n? –  Addison Montgomery Mar 16 '13 at 21:13
    
cat GemFile in PasteBin, and bundle show i18n gives Could not find i18n-0.6.4 in any of the sources... but as I mentioned in my question, I did uninstall and installed (through bundle and through gem) :/ –  balexandre Mar 16 '13 at 21:18

1 Answer 1

up vote 3 down vote accepted

Try editing the Gemfile using this command:

$ nano Gemfile

Then, replace the line:

gem "i18n", "~> 0.6.0"

With this one:

gem "i18n", "0.6.4"

To save it, just press Ctrl+X and Y.

Now, try running again:

$ bundle install
$ bundle update
$ rake generate_secret_token

I'm not sure if it will work, but I hope so!

share|improve this answer
    
works lovely! Muchas gracias por ayuda :) –  balexandre Mar 16 '13 at 21:45
    
I'm having the same issue with Could not find metaclass-0.0.1 in any of the sources and I have edited Gemfile and even added gem "metaclass", "0.0.1" without luck :/ dang... I'm hating my adventure in Ubuntu :( –  balexandre Mar 16 '13 at 22:14

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.